- name: ubuntu
  long_name: Ubuntu
  subtitle: (recommended)
  download_command: curl -sS https://packages.gitlab.com/install/repositories/gitlab/gitlab-ce/script.deb.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" apt-get install gitlab-ce
  dependency_commands: |
                    sudo apt-get install -y curl openssh-server ca-certificates
  postfix_commands: |
                    sudo apt-get install -y postfix

- name: debian
  long_name: Debian
  download_command: curl -sS https://packages.gitlab.com/install/repositories/gitlab/gitlab-ce/script.deb.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" apt-get install gitlab-ce
  dependency_commands: |
                    sudo apt-get install -y curl openssh-server ca-certificates
  postfix_commands: |
                    sudo apt-get install -y postfix

- name: centos6
  long_name: CentOS 6
  subtitle: (and RedHat/Oracle/Scientific Linux 6)
  download_command: curl -sS https://packages.gitlab.com/install/repositories/gitlab/gitlab-ce/script.rpm.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" yum install -y gitlab-ce
  dependency_commands: |
                    sudo yum install -y curl policycoreutils-python openssh-server openssh-clients cronie
  firewall_open: |
                    sudo lokkit -s http -s ssh
  postfix_commands: |
                    sudo yum install postfix
                    sudo service postfix start
                    sudo chkconfig postfix on

- name: centos7
  long_name: CentOS 7
  subtitle: (and RedHat/Oracle/Scientific Linux 7)
  download_command: curl -sS https://packages.gitlab.com/install/repositories/gitlab/gitlab-ce/script.rpm.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" yum install -y gitlab-ce
  dependency_commands: |
                    sudo yum install -y curl policycoreutils-python openssh-server openssh-clients
                    sudo systemctl enable sshd
                    sudo systemctl start sshd
  firewall_open: |
                    sudo firewall-cmd --permanent --add-service=http
                    sudo firewall-cmd --permanent --add-service=https
                    sudo systemctl reload firewalld
  postfix_commands: |
                    sudo yum install postfix
                    sudo systemctl enable postfix
                    sudo systemctl start postfix

- name: centos8
  long_name: CentOS 8
  subtitle: (and RedHat 8)
  download_command: curl -sS https://packages.gitlab.com/install/repositories/gitlab/gitlab-ce/script.rpm.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" dnf install -y gitlab-ce
  dependency_commands: |
                    sudo dnf install -y curl policycoreutils openssh-server openssh-clients
                    sudo systemctl enable sshd
                    sudo systemctl start sshd
  firewall_open: |
                    # Check if opening the firewall is needed with: sudo systemctl status firewalld
                    sudo firewall-cmd --permanent --add-service=http
                    sudo firewall-cmd --permanent --add-service=https
                    sudo systemctl reload firewalld
  postfix_commands: |
                    sudo dnf install postfix
                    sudo systemctl enable postfix
                    sudo systemctl start postfix

- name: opensuse
  long_name: OpenSUSE
  download_command: curl -sS https://packages.gitlab.com/install/repositories/gitlab/gitlab-ce/script.rpm.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" zypper install gitlab-ce
  dependency_commands: |
                    sudo zypper install curl openssh
                    sudo systemctl enable sshd
                    sudo systemctl start sshd
  firewall_open: |
                    sudo firewall-cmd --permanent --add-service=http
                    sudo firewall-cmd --permanent --add-service=https
                    sudo systemctl reload firewalld
  postfix_commands: |
                    sudo zypper install postfix

- name: raspberrypi2
  long_name: Raspberry PI 2 on Raspbian
  download_command: |
                    sudo curl -sS https://packages.gitlab.com/install/repositories/gitlab/raspberry-pi2/script.deb.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" apt-get install gitlab-ce
  dependency_commands: |
                    sudo apt-get install curl openssh-server ca-certificates apt-transport-https
                    curl https://packages.gitlab.com/gpg.key | sudo apt-key add -
  postfix_commands: |
                      sudo apt-get install -y postfix
